--iTEAM - GISED
--Created:
--Revised:

library ieee;
use ieee.std_logic_1164.all;

package lyp4x6r4z_pkg is
	--generics
	constant qi: integer:= 9; --s[6 2]
	constant ql: integer:= 9; --s[9 2]

	--types
	type p_type_a6x1int is array(0 to 5) of integer;
	type p_type_a6xQIstd is array(0 to 5) of std_logic_vector(qi-1 downto 0);
	type p_type_a6xQLstd is array(0 to 5) of std_logic_vector(ql-1 downto 0);
	type p_type_a24xQIstd is array(0 to 24) of std_logic_vector(qi-1 downto 0);
	type p_type_m4a6x1int is array(0 to 3) of p_type_a6x1int;
	--constraints
	constant p_idllrn_cm: p_type_m4a6x1int:= ((0,6,8,13,19,23),
	                                          (1,7,9,14,16,20),
	                                          (2,4,10,15,17,21),
	                                          (3,5,11,12,18,22));
	constant p_idlnm0_cm: p_type_m4a6x1int:= ((3,4,9,13,16,21),
	                                          (0,5,10,14,17,22),
	                                          (1,6,11,15,18,23),
	                                          (2,7,8,12,19,20));
	constant p_idlnm1_cm: p_type_m4a6x1int:= ((1,7,10,14,17,23),
	                                          (2,4,11,15,18,20),
	                                          (3,5,8,12,19,21),
	                                          (0,6,9,13,16,22));
	constant p_idlnm2_cm: p_type_m4a6x1int:= ((2,7,8,12,17,20),
	                                          (3,4,9,13,18,21),
	                                          (0,5,10,14,19,22),
	                                          (1,6,11,15,16,23));
	constant p_idlnm3_cm: p_type_m4a6x1int:= ((2,6,9,13,18,20),
	                                          (3,7,10,14,19,21),
	                                          (0,4,11,15,16,22),
	                                          (1,5,8,12,17,23));
--
end package;
